Input validation error in Istio



Published: 2019-08-13 | Updated: 2020-08-08
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2019-14993
CWE-ID CWE-20
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Istio
Web applications / Other software

Vendor Istio

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Input validation error

EUVDB-ID: #VU35637

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-14993

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a remote non-authenticated attacker to perform a denial of service (DoS) attack.

Istio before 1.1.13 and 1.2.x before 1.2.4 mishandles regular expressions for long URIs, leading to a denial of service during use of the JWT, VirtualService, HTTPAPISpecBinding, or QuotaSpecBinding API.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Istio: 1.2.1 - 1.2.3


CPE2.3 External links

http://discuss.istio.io/t/upcoming-security-updates-in-istio-1-2-4-and-1-1-13/3383
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=86164
http://github.com/envoyproxy/envoy/issues/7728
http://istio.io/blog/2019/istio-security-003-004/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###